Name:           neethi
Version:        3.0.1
Release:        %mkrel 8
Summary:        Web Services Policy framework
Group:          Development/Java
License:       ASL 2.0
URL:           http://ws.apache.org/neethi/
Source0:       http://archive.apache.org/dist/ws/neethi/%{version}/neethi-%{version}-source-release.zip
BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: wsdl4j
BuildRequires: axiom
Requires:      axiom

%description
Apache Neethi provides general framework for the programmers to
use WS Policy. It is compliant with latest WS Policy specification
which was published in March 2006. This framework is specifically
written to enable the Apache Web services stack to use WS Policy as
a way of expressing it's requirements and capabilities.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

# This check always fails
%pom_remove_plugin org.apache.rat:apache-rat-plugin

%mvn_file : %{name}

%build
# skip tests due to requirement for old wstx
%mvn_build -- -Dmaven.test.skip=true

%install
%mvn_install

%files -f .mfiles
%doc README.txt RELEASE-NOTE.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 3.0.1-8.mga6
+ Revision: 981387
- First rebuild of the java stack
- sync package neethi with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 3.0.1-7.mga5
+ Revision: 807294
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.1-4.mga4
+ Revision: 508268
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 dmorgan <dmorgan> 3.0.1-2.mga3
+ Revision: 330473
- imported package neethi


* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Andy Grimm <agrimm@gmail.com> - 3.0.1-1
- Initial package
